//------------------------------------------------------------
//
//------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1  clrDarkGray
#property indicator_color2  clrDarkGray
#property indicator_color3  clrLimeGreen
#property indicator_width3  2
#property indicator_style1  STYLE_DOT
#property indicator_style2  STYLE_DOT

extern double DeviationsPeriod = 14;
extern double DeviationsWidth  = 1.0;
extern int    DeviationsMode   = 0;
double value[];
double valueu[];
double valued[];

//------------------------------------------------------------
//
//------------------------------------------------------------
//
//
//
//
//

int init()
{
   SetIndexBuffer(0,valueu);
   SetIndexBuffer(1,valued);
   SetIndexBuffer(2,value);
   return(0); 
}
int deinit() { return(0); }

//------------------------------------------------------------
//
//------------------------------------------------------------
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars < 0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);

   //
   //
   //
   //
   //

   for (int i=limit; i>=0; i--) value[i] = (3*Close[i]) - (2*High[i]) - (2*Low[i]) + Open[i];
   for (    i=limit; i>=0; i--)
   {
      double dev = iStdDevOnArray(value,0,DeviationsPeriod,0,MODE_SMA,i);
      if (DeviationsMode==0)
      {
         valueu[i] = 0 + DeviationsWidth*dev;
         valued[i] = 0 - DeviationsWidth*dev;
      }
      else
      {
         valueu[i] = value[i] + DeviationsWidth*dev;
         valued[i] = value[i] - DeviationsWidth*dev;
      }         
   }
   return(0);
}